Package org.eclipse.emf.cdo

## Interface CDONotification

- All Superinterfaces:
    `Notification`
  All Known Subinterfaces:
    `CDODeltaNotification`, `CDOInvalidationNotification`

      public interface CDONotification
      extends Notification

  A base interface for all CDO specific notifications.
  Since:
    2.0
  Author:
    Simon McDuff
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DETACH_OBJECT` |
    `static int` | `EVENT_TYPE_CDO_START` |
    `static int` | `INVALIDATE` |

    - ### Fields inherited from interface org.eclipse.emf.common.notify.Notification

      `ADD, ADD_MANY, CREATE, EVENT_TYPE_COUNT, MOVE, NO_FEATURE_ID, NO_INDEX, REMOVE, REMOVE_MANY, REMOVING_ADAPTER, RESOLVE, SET, UNSET`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notification

      `getEventType, getFeature, getFeatureID, getNewBooleanValue, getNewByteValue, getNewCharValue, getNewDoubleValue, getNewFloatValue, getNewIntValue, getNewLongValue, getNewShortValue, getNewStringValue, getNewValue, getNotifier, getOldBooleanValue, getOldByteValue, getOldCharValue, getOldDoubleValue, getOldFloatValue, getOldIntValue, getOldLongValue, getOldShortValue, getOldStringValue, getOldValue, getPosition, isReset, isTouch, merge, wasSet`

- - ### Field Detail

    - #### EVENT_TYPE_CDO_START

          static final int EVENT_TYPE_CDO_START

      See Also:
        Constant Field Values

    - #### DETACH_OBJECT

          static final int DETACH_OBJECT

      See Also:
        Constant Field Values

    - #### INVALIDATE

          static final int INVALIDATE

      See Also:
        Constant Field Values